"edit link" doesn't recognize namespace
Closed, ResolvedPublic

Description

In not-main namespace "edit links" points to item without namespace. For example [[it:Categoria:Storia]] goes to "Special:ItemByTitle/itwiki/Storia" ([[:d:Q309]]) and not "Special:ItemByTitle/itwiki/Categoria:Storia".


Version: unspecified
Severity: major
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=45223

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz44536.
Beta16 created this task.Via LegacyJan 31 2013, 10:46 AM
Lydia_Pintscher added a comment.Via ConduitJan 31 2013, 12:05 PM

This has been fixed already. We are looking into backporting it to the Italian, Hebrew and Hungarian Wikipedia.

Lydia_Pintscher added a comment.Via ConduitJan 31 2013, 3:03 PM

This has been deployed now.

Beta16 added a comment.Via ConduitJan 31 2013, 3:23 PM

OK, it works now.
Thank you for resolved immediately!

Legoktm added a comment.Via ConduitFeb 14 2013, 10:51 AM
  • Bug 44985 has been marked as a duplicate of this bug. ***
Legoktm added a comment.Via ConduitFeb 14 2013, 2:21 PM

Can this fix be backported to enwiki as well? The issue is present there (bug 44985).

aude added a comment.Via ConduitFeb 14 2013, 3:36 PM

I think we can backport something in the next day or so...

The solution we prefer is to have the links go directly to the Qxxx item pages instead of using Special:ItemByTitle which is not 100% perfect yet.

bzimport added a comment.Via ConduitFeb 14 2013, 7:03 PM

roigonzalezvilla10 wrote:

This problem also happen with namespace "Wikipedia", and it will also happen
when the others Wikimedia projects is worked in Wikidata. The Wikimedia
projects are Wikibooks, Wikinews, Wiktionary, Wikiquote, Wikisource,
Wikispecies, Wikiversity and Wikivoyage.

jeblad added a comment.Via ConduitFeb 16 2013, 8:29 PM

In general you don't want to link on the identifiers, as it is weird, errorprone, and needs manual work. You want to have simple links that use the same semantics as you use on Wikipedia. You simply want to link on the names. It is possible to rewrite something like [[item:Oslo]] into [[d:Special:ItemByTitle/enwiki/Oslo]] if you are on an English Wikipedia page, and that is less error prone and much more intuitive.

Legoktm added a comment.Via ConduitFeb 16 2013, 10:11 PM
  • Bug 44545 has been marked as a duplicate of this bug. ***
MZMcBride added a comment.Via ConduitFeb 18 2013, 12:17 AM

(In reply to comment #6)

I think we can backport something in the next day or so...

Any status update on this?

Legoktm added a comment.Via ConduitFeb 18 2013, 3:28 PM

<snipped from #wikimedia-wikidata>

[09:20:34 AM] <duh> PinkAmpersand: well non mainspace links using Special:Itembytitle are broken until that fix gets backported
[09:20:51 AM] <PinkAmpersand> yeah exactly
[09:24:26 AM] <DanielK_WMDE> duh: iirc, this will be deployed in a few hours

(timestamps CST)

jeblad added a comment.Via ConduitFeb 18 2013, 3:49 PM

Whats in for now is canonical namespaces (that is Category), local namespaces (that is Categoria) will be for next rollout.

Lydia_Pintscher added a comment.Via ConduitFeb 20 2013, 10:00 AM

This should be fixed now. If you're still seeing problems please reopen with a link to an example.

aude added a comment.Via ConduitFeb 20 2013, 11:14 AM

Special:ItemByTitle still does not work for Wikipedia namespace from enwiki, for example

http://en.wikipedia.org/wiki/Wikipedia:About

Seems to work for huwiki, itwiki, etc. counterparts, as well as Category, Portal and other namespaces on enwiki.

aude added a comment.Via ConduitFeb 20 2013, 11:14 AM

We both need the Special:ItemByTitle page to work for everything, and we decided to directly link to the Q### pages for the edit link.

aude added a comment.Via ConduitFeb 20 2013, 11:20 AM

on my test client wiki, with a Wikipedia namespace, and corresponding items in my test repo, the edit link and Special:ItemByTitle *do* work.

need to investigate more why that's not the case on www.wikidata.org

aude added a comment.Via ConduitFeb 20 2013, 11:40 AM

Wikipedia: is conflicting with the interwiki prefix.

Legoktm added a comment.Via ConduitFeb 21 2013, 7:00 PM

(In reply to comment #15)

We both need the Special:ItemByTitle page to work for everything, and we
decided to directly link to the Q### pages for the edit link.

Is there a separate bug for this? I think it would just be better to do it this way than try to put a fix together for the conflicting interwiki prefixes.

Lydia_Pintscher added a comment.Via ConduitFeb 26 2013, 11:52 AM
  • Bug 45416 has been marked as a duplicate of this bug. ***
jeblad added a comment.Via ConduitFeb 26 2013, 1:29 PM

There is a fix https://gerrit.wikimedia.org/r/#/c/49066/ but it has some issues.

jeblad added a comment.Via ConduitFeb 26 2013, 4:00 PM

If a normalization is done several times it will lead to problems. Normalization should only be done once on any given sitelink, and the normalization should be done in a similar way (or at least produce comparable results) both on the codepath for store and for retrieval.

Lydia_Pintscher added a comment.Via ConduitFeb 27 2013, 3:10 PM
  • Bug 45487 has been marked as a duplicate of this bug. ***
aude added a comment.Via ConduitFeb 27 2013, 5:53 PM

https://gerrit.wikimedia.org/r/#/c/51179/ makes it so we link directly to the Q### pages on wikidata.

Depending on John's patch, there still may be an issue with conflict between interwiki prefixes and client page titles.

AnjaJentzsch added a comment.Via ConduitMar 15 2013, 3:47 PM

Original changeset got reverted, new changeset: https://gerrit.wikimedia.org/r/#/c/53543/

Abraham added a comment.Via ConduitMar 20 2013, 5:57 PM

Verified in Wikidata demo sprint 35-2

Add Comment